#ifndef __UDS_22SERVICE_INTERNA_H
#define __UDS_22SERVICE_INTERNA_H

#include "stdint.h"
#include "UDS_Common.h"

uint8_t getECUPowerSupplyVoltage(void);
uint16_t getVehicleSpeed(void);
uint16_t getEngineSpeed(void);
uint8_t getCoolantTemperature(void);
uint32_t getACTOdometer(void);
uint32_t getTotalOdometer(void);
uint16_t getDistanceToNextMaintanceService(void);
uint8_t getZeroClearingNumberOfOdometer(void);
uint16_t getFuelSensorResistance(void);
uint8_t getHUDMainSwitch(void);
uint8_t getHUDUpSwitch(void);
uint8_t getHUDDownSwitch(void);

#endif